/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, version 2.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef VIS_TIMING_H
#define VIS_TIMING_H

#include <sys/resource.h>
#include <sys/time.h>

#define SYSTIME (getrusage(RUSAGE_SELF,&ruse),	\
		 ruse.ru_stime.tv_sec + \
		 1e-6 * (ruse.ru_stime.tv_usec))
#define USERTIME (getrusage(RUSAGE_SELF,&ruse),	\
		  ruse.ru_utime.tv_sec +		\
		  1e-6 * (ruse.ru_utime.tv_usec))
#define FULLTIME (getrusage(RUSAGE_SELF,&ruse),	\
		  ruse.ru_utime.tv_sec + ruse.ru_stime.tv_sec +		\
		  1e-6 * (ruse.ru_utime.tv_usec + ruse.ru_stime.tv_usec))
#define REALTIME (gettimeofday(&tv, NULL),\
		  tv.tv_sec +  \
		  1e-6 * (tv.tv_usec))

//struct rusage ruse;
//struct timeval tv;

#endif
